
Core - Bug # 47928

Status: New Priority: Should have
Author: Stefan Neufeind Category:
Created: 2013-05-05 Assigned To:
Updated: 2015-07-13 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Drag & drop in page-modul: Does not work in "Languages"-mode
Description

Works fine in columns-mode but there is no drag-functionality in "Languages"-mode.

Maybe just some missing CSS-class or so?

Related issues:
related to Core - Task # 17198: Allow Drag&Drop of Content-Elements in Page-M... Resolved 2007-04-10

History
#1 - 2013-05-05 02:16 - Stefan Neufeind

In PageLayoutView.php the dragitem-class is just added if we're not in languages-mode. So I guess there were some problems to it.
Drag&drop in page-module was added in commit d62fb10e.

#2 - 2015-01-15 17:48 - Mathias Schreiber
- Target version set to 7.4 (Backend)
- Is Regression set to No

#3 - 2015-07-13 10:54 - Riccardo De Contardi

I just tested with 6.2.14 and 7 (master). As far as I can see it works in both cases, but there is a difference:

in version 6.2.14 it is possible to drag a CE from the alt language column to the main language column and vice versa (and it works fine, I mean, the
language is updated), while in 7 this is forbidden.

I don't know if this is it a missing feature or it is the intended behavior.
